org.eclipse.modisco.infra.browser.editor.ui

## Interface ITreeEditorOpener

    public interface ITreeEditorOpener

### Field Summary

Fields
`static ITreeEditorOpener` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`ITreeEditor` `openWithEObject(EObject eObject)`
`ITreeEditor` `openWithResource(Resource resource)`
`ITreeEditor` `openWithResourceSet(ResourceSet resourceSet)`

### Field Detail

#### DEFAULT

    static final ITreeEditorOpener DEFAULT

### Method Detail

#### openWithEObject

    ITreeEditor openWithEObject(EObject eObject)
                         throws TreeEditorOpenerException

Throws:
  `TreeEditorOpenerException`

#### openWithResource

    ITreeEditor openWithResource(Resource resource)
                          throws TreeEditorOpenerException

Throws:
  `TreeEditorOpenerException`

#### openWithResourceSet

    ITreeEditor openWithResourceSet(ResourceSet resourceSet)
                             throws TreeEditorOpenerException

Throws:
  `TreeEditorOpenerException`